# Go 语言的基本命令

Go 语言的大部分功能都是通过一系列的子命令提供的，其中比较常用的子命令主要有以下这些。

- `go`，Go 语言核心命令，主要通过其提供的子命令来完成相应的功能。
- `go build`，编译 Go 语言代码以及依赖包。
- `go mod`，Go Module 相关管理命令，主要提供了 Go Module 功能相关的管理功能。
- `go clean`，提供对于项目中编译中间文件和缓存文件的清理功能。
- `go doc`，提供展示指定依赖包或标识符的文档的功能。
- `go env`，用于显示当前 Go 安装环境中所有的环境变量。
- `go fix`，用于升级依赖包。
- `go fmt`，格式化指定 Go 代码文件。
- `go generate`，用于根据源码定义自动生成 Go 文件。
- `go get`，用于下载依赖包并将其安装到当前香茗中。
- `go install`，用于下载指定的包并将其编译为二进制可执行文件，
- `go list`，列出或查询包或者模块。
- `go work`，管理工作空间。
- `go run`，编译并运行指定的程序。
- `go test`，运行指定的单元测试。
- `go version`，列出当前安装的 Go 版本。

基本上所有的子命令都可以使用`go help <command>`的子命令形式来获取其内置的帮助说明。

这里会选取几个最为常用的命令进行介绍。
